=== debian/changelog ===
lpia-wrapper (1.1) karmic; urgency=low

  * Initial release and fork from hardening-wrapper

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 13 Apr 2009 13:45:54 -0400
