=== debian/control ===
Source: lpia-wrapper
Section: devel
Priority: extra
Build-Depends: debhelper
Maintainer: Michael Casadevall <mcasadevall@ubuntu.com>
Standards-Version: 3.8.1
Vcs-Bzr: lp:~ubuntu-mobile/+junk/lpia-wrapper
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-mobile/+junk-lpia-wrapper

Package: lpia-wrapper
Conflicts: hardening-wrapper
Replaces: hardening-wrapper
Provides: hardening-wrapper
Architecture: lpia
Depends: gcc | g++, ${perl:Depends}
Description: experimental compiler wrapper to enable lpia compiler flags
 Wraps gcc, g++, and ld with wrapper scripts that set security hardening
 and size optimization compilation flags for low-power Intel architecture 
 machines such as those based around the Intel Atom processor
